using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.IO;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using TopWinCMS.Common;
using TopWinCMS.BLL.PageFactory.TagModule;
namespace TopWinCMS.WebUI.Admin.Template
{
    public partial class CMSTabSettingTool : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //if (IsPostBack)
            //{
            //    return;
            //}
            //if (Request["Dir"] == null)
            //{
            //    ErrClass.Redirect("模板路径错误");
            //}
            //else
            //{
            //    if (File.Exists(Request["Dir"]) == false)
            //    {
            //        ErrClass.Redirect("模板路径错误");
            //    }
            //}
        }

        protected void BT_Read_Click(object sender, EventArgs e)
        {
            Label l = new Label();
            l.ID = "l231234";
            l.Text = "l231234";

            TextBox t = new TextBox();
            l.ID = "t231234";
            l.Text = "t231234";

            Panel1.Controls.Add(l);
            Panel1.Controls.Add(t);
        }

        private void InitUI()
        {
            string str = new FileIO().ReadFile(Server.MapPath(@"~\") + this.TXT_Template.Value);
            List<string> list = new TopWinCMS.BLL.PageFactory.TagModule.TagEngine().GetTabList(str);

            foreach (string strTab in list)
            {

            }
        }
    }
}